This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 862082 - build cleanup
build cleanup
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kaleb KEITHLEY
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 15:48 EDT by Anand Avati
Modified: 2015-09-01 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:02:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2012-10-01 15:48:21 EDT
General cleanup of makefiles and build process
Comment 1 Anand Avati 2013-08-19 16:30:12 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 2 Anand Avati 2013-08-19 16:35:25 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 3 Anand Avati 2013-09-26 18:29:16 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 4 Anand Avati 2013-09-30 14:11:26 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 5 Anand Avati 2013-10-05 00:17:14 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 6 Anand Avati 2013-10-12 00:30:39 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 7 Anand Avati 2013-10-17 18:43:51 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 8 Anand Avati 2013-10-29 12:31:23 EDT
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 9 Anand Avati 2013-12-09 02:51:57 EST
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 10 Anand Avati 2013-12-22 03:42:56 EST
REVIEW: http://review.gluster.org/5645 (build: Start using library versioning for various libraries) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 11 Anand Avati 2014-01-18 11:51:33 EST
COMMIT: http://review.gluster.org/5645 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c2b09dc87e0763dfdff1e93a1dc6cc4c05f091bf
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat Aug 17 13:01:23 2013 -0700

    build: Start using library versioning for various libraries
    
    According to libtool three individual numbers stand for
    CURRENT:REVISION:AGE, or C:R:A for short. The libtool
    script typically tacks these three numbers onto the end
    of the name of the .so file it creates. The formula for
    calculating the file numbers on Linux and Solaris is
    
       /path/to/library/<library_name>.(C - A).(A).(R)
    
    As you release new versions of your library, you will
    update the library's C:R:A. Although the rules for changing
    these version numbers can quickly become confusing, a few
    simple tips should help keep you on track. The libtool
    documentation goes into greater depth.
    
    In essence, every time you make a change to the library and
    release it, the C:R:A should change. A new library should start
    with 0:0:0. Each time you change the public interface
    (i.e., your installed header files), you should increment the
    CURRENT number. This is called your interface number. The main
    use of this interface number is to tag successive revisions
    of your API.
    
    The AGE number is how many consecutive versions of the API the
    current implementation supports. Thus if the CURRENT library
    API is the sixth published version of the interface and it is
    also binary compatible with the fourth and fifth versions
    (i.e., the last two), the C:R:A might be 6:0:2. When you break
    binary compatibility, you need to set AGE to 0 and of course
    increment CURRENT.
    
    The REVISION marks a change in the source code of the library
    that doesn't affect the interface-for example, a minor bug fix.
    Anytime you increment CURRENT, you should set REVISION back to 0.
    
    Change-Id: Id72e74c1642c804fea6f93ec109135c7c16f1810
    BUG: 862082
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/5645
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 12 Anand Avati 2014-01-25 05:45:09 EST
REVIEW: http://review.gluster.org/6790 (build: GFAPI_VERSION should be 6.0.0 not 0.0.6) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 13 Anand Avati 2014-01-25 05:48:33 EST
REVIEW: http://review.gluster.org/6790 (build: GFAPI_VERSION should be 6.0.0 not 0.0.6) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 14 Anand Avati 2014-01-25 05:49:44 EST
REVIEW: http://review.gluster.org/6790 (build: GFAPI_VERSION should be 6.0.0 not 0.0.6) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 15 Anand Avati 2014-02-03 02:25:28 EST
COMMIT: http://review.gluster.org/6790 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a7243ea310613ad0681fd68bc951492fe311916b
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat Jan 25 02:39:11 2014 -0800

    build: GFAPI_VERSION should be 6.0.0 not 0.0.6
    
    ------------------------------------->
    "In essence, every time you make a change to the library and
    release it, the C:R:A should change. A new library should
    start with 0:0:0. Each time you change the public interface
    (i.e., your installed header files), you should increment the
    CURRENT number."
    
    So the version which was 3 became 5 when discard API was added
    and became 6 when zerofill was added. As per the above description,
    API addition will result in a change to the installed header (glfs.h)
    and hence warrants a change in CURRENT number ? Should you have
    changed the version to 6.0.0 instead of 0.0.6 ?
    <------------------------------------
    
    Thanks Bharata B Rao <bharata.rao@gmail.com> for pointing this out
    
    Change-Id: I0aa980a6713fbd28922a94c5debb170a89aa3512
    BUG: 862082
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/6790
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Bharata B Rao <bharata.rao@gmail.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.